/*******************************************************************************
* File Name: Humidity.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Humidity_H) /* Pins Humidity_H */
#define CY_PINS_Humidity_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Humidity_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Humidity_Write(uint8 value) ;
void    Humidity_SetDriveMode(uint8 mode) ;
uint8   Humidity_ReadDataReg(void) ;
uint8   Humidity_Read(void) ;
uint8   Humidity_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Humidity_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Humidity_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Humidity_DM_RES_UP          PIN_DM_RES_UP
#define Humidity_DM_RES_DWN         PIN_DM_RES_DWN
#define Humidity_DM_OD_LO           PIN_DM_OD_LO
#define Humidity_DM_OD_HI           PIN_DM_OD_HI
#define Humidity_DM_STRONG          PIN_DM_STRONG
#define Humidity_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Humidity_MASK               Humidity__MASK
#define Humidity_SHIFT              Humidity__SHIFT
#define Humidity_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Humidity_PS                     (* (reg8 *) Humidity__PS)
/* Data Register */
#define Humidity_DR                     (* (reg8 *) Humidity__DR)
/* Port Number */
#define Humidity_PRT_NUM                (* (reg8 *) Humidity__PRT) 
/* Connect to Analog Globals */                                                  
#define Humidity_AG                     (* (reg8 *) Humidity__AG)                       
/* Analog MUX bux enable */
#define Humidity_AMUX                   (* (reg8 *) Humidity__AMUX) 
/* Bidirectional Enable */                                                        
#define Humidity_BIE                    (* (reg8 *) Humidity__BIE)
/* Bit-mask for Aliased Register Access */
#define Humidity_BIT_MASK               (* (reg8 *) Humidity__BIT_MASK)
/* Bypass Enable */
#define Humidity_BYP                    (* (reg8 *) Humidity__BYP)
/* Port wide control signals */                                                   
#define Humidity_CTL                    (* (reg8 *) Humidity__CTL)
/* Drive Modes */
#define Humidity_DM0                    (* (reg8 *) Humidity__DM0) 
#define Humidity_DM1                    (* (reg8 *) Humidity__DM1)
#define Humidity_DM2                    (* (reg8 *) Humidity__DM2) 
/* Input Buffer Disable Override */
#define Humidity_INP_DIS                (* (reg8 *) Humidity__INP_DIS)
/* LCD Common or Segment Drive */
#define Humidity_LCD_COM_SEG            (* (reg8 *) Humidity__LCD_COM_SEG)
/* Enable Segment LCD */
#define Humidity_LCD_EN                 (* (reg8 *) Humidity__LCD_EN)
/* Slew Rate Control */
#define Humidity_SLW                    (* (reg8 *) Humidity__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Humidity_PRTDSI__CAPS_SEL       (* (reg8 *) Humidity__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Humidity_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Humidity__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Humidity_PRTDSI__OE_SEL0        (* (reg8 *) Humidity__PRTDSI__OE_SEL0) 
#define Humidity_PRTDSI__OE_SEL1        (* (reg8 *) Humidity__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Humidity_PRTDSI__OUT_SEL0       (* (reg8 *) Humidity__PRTDSI__OUT_SEL0) 
#define Humidity_PRTDSI__OUT_SEL1       (* (reg8 *) Humidity__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Humidity_PRTDSI__SYNC_OUT       (* (reg8 *) Humidity__PRTDSI__SYNC_OUT) 


#if defined(Humidity__INTSTAT)  /* Interrupt Registers */

    #define Humidity_INTSTAT                (* (reg8 *) Humidity__INTSTAT)
    #define Humidity_SNAP                   (* (reg8 *) Humidity__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Humidity_H */


/* [] END OF FILE */
