/*******************************************************************************
* File Name: Right.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Right_H) /* Pins Right_H */
#define CY_PINS_Right_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Right_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Right_Write(uint8 value) ;
void    Right_SetDriveMode(uint8 mode) ;
uint8   Right_ReadDataReg(void) ;
uint8   Right_Read(void) ;
uint8   Right_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Right_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Right_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Right_DM_RES_UP          PIN_DM_RES_UP
#define Right_DM_RES_DWN         PIN_DM_RES_DWN
#define Right_DM_OD_LO           PIN_DM_OD_LO
#define Right_DM_OD_HI           PIN_DM_OD_HI
#define Right_DM_STRONG          PIN_DM_STRONG
#define Right_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Right_MASK               Right__MASK
#define Right_SHIFT              Right__SHIFT
#define Right_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Right_PS                     (* (reg8 *) Right__PS)
/* Data Register */
#define Right_DR                     (* (reg8 *) Right__DR)
/* Port Number */
#define Right_PRT_NUM                (* (reg8 *) Right__PRT) 
/* Connect to Analog Globals */                                                  
#define Right_AG                     (* (reg8 *) Right__AG)                       
/* Analog MUX bux enable */
#define Right_AMUX                   (* (reg8 *) Right__AMUX) 
/* Bidirectional Enable */                                                        
#define Right_BIE                    (* (reg8 *) Right__BIE)
/* Bit-mask for Aliased Register Access */
#define Right_BIT_MASK               (* (reg8 *) Right__BIT_MASK)
/* Bypass Enable */
#define Right_BYP                    (* (reg8 *) Right__BYP)
/* Port wide control signals */                                                   
#define Right_CTL                    (* (reg8 *) Right__CTL)
/* Drive Modes */
#define Right_DM0                    (* (reg8 *) Right__DM0) 
#define Right_DM1                    (* (reg8 *) Right__DM1)
#define Right_DM2                    (* (reg8 *) Right__DM2) 
/* Input Buffer Disable Override */
#define Right_INP_DIS                (* (reg8 *) Right__INP_DIS)
/* LCD Common or Segment Drive */
#define Right_LCD_COM_SEG            (* (reg8 *) Right__LCD_COM_SEG)
/* Enable Segment LCD */
#define Right_LCD_EN                 (* (reg8 *) Right__LCD_EN)
/* Slew Rate Control */
#define Right_SLW                    (* (reg8 *) Right__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Right_PRTDSI__CAPS_SEL       (* (reg8 *) Right__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Right_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Right__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Right_PRTDSI__OE_SEL0        (* (reg8 *) Right__PRTDSI__OE_SEL0) 
#define Right_PRTDSI__OE_SEL1        (* (reg8 *) Right__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Right_PRTDSI__OUT_SEL0       (* (reg8 *) Right__PRTDSI__OUT_SEL0) 
#define Right_PRTDSI__OUT_SEL1       (* (reg8 *) Right__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Right_PRTDSI__SYNC_OUT       (* (reg8 *) Right__PRTDSI__SYNC_OUT) 


#if defined(Right__INTSTAT)  /* Interrupt Registers */

    #define Right_INTSTAT                (* (reg8 *) Right__INTSTAT)
    #define Right_SNAP                   (* (reg8 *) Right__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Right_H */


/* [] END OF FILE */
