/*******************************************************************************
* File Name: Humidity_Sensor_AMux.h
* Version 1.80
*
*  Description:
*    This file contains the constants and function prototypes for the Analog
*    Multiplexer User Module AMux.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_AMUX_Humidity_Sensor_AMux_H)
#define CY_AMUX_Humidity_Sensor_AMux_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cyfitter_cfg.h"


/***************************************
*        Function Prototypes
***************************************/

void Humidity_Sensor_AMux_Start(void) ;
#define Humidity_Sensor_AMux_Init() Humidity_Sensor_AMux_Start()
void Humidity_Sensor_AMux_FastSelect(uint8 channel) ;
/* The Stop, Select, Connect, Disconnect and DisconnectAll functions are declared elsewhere */
/* void Humidity_Sensor_AMux_Stop(void); */
/* void Humidity_Sensor_AMux_Select(uint8 channel); */
/* void Humidity_Sensor_AMux_Connect(uint8 channel); */
/* void Humidity_Sensor_AMux_Disconnect(uint8 channel); */
/* void Humidity_Sensor_AMux_DisconnectAll(void) */


/***************************************
*         Parameter Constants
***************************************/

#define Humidity_Sensor_AMux_CHANNELS  2u
#define Humidity_Sensor_AMux_MUXTYPE   1
#define Humidity_Sensor_AMux_ATMOSTONE 0

/***************************************
*             API Constants
***************************************/

#define Humidity_Sensor_AMux_NULL_CHANNEL 0xFFu
#define Humidity_Sensor_AMux_MUX_SINGLE   1
#define Humidity_Sensor_AMux_MUX_DIFF     2


/***************************************
*        Conditional Functions
***************************************/

#if Humidity_Sensor_AMux_MUXTYPE == Humidity_Sensor_AMux_MUX_SINGLE
# if !Humidity_Sensor_AMux_ATMOSTONE
#  define Humidity_Sensor_AMux_Connect(channel) Humidity_Sensor_AMux_Set(channel)
# endif
# define Humidity_Sensor_AMux_Disconnect(channel) Humidity_Sensor_AMux_Unset(channel)
#else
# if !Humidity_Sensor_AMux_ATMOSTONE
void Humidity_Sensor_AMux_Connect(uint8 channel) ;
# endif
void Humidity_Sensor_AMux_Disconnect(uint8 channel) ;
#endif

#if Humidity_Sensor_AMux_ATMOSTONE
# define Humidity_Sensor_AMux_Stop() Humidity_Sensor_AMux_DisconnectAll()
# define Humidity_Sensor_AMux_Select(channel) Humidity_Sensor_AMux_FastSelect(channel)
void Humidity_Sensor_AMux_DisconnectAll(void) ;
#else
# define Humidity_Sensor_AMux_Stop() Humidity_Sensor_AMux_Start()
void Humidity_Sensor_AMux_Select(uint8 channel) ;
# define Humidity_Sensor_AMux_DisconnectAll() Humidity_Sensor_AMux_Start()
#endif

#endif /* CY_AMUX_Humidity_Sensor_AMux_H */


/* [] END OF FILE */
