/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/


#include <device.h>
#include <NC_COUNTER.h>
//#define max_temp = 100;

uint8 max_temp=100;
uint8 menu = 1;
uint8 DESIRED_TEMP = 75.00;

    
void main()
{
	uint8 rdData[3];
	uint8 Reg_Address[1] = 0x07;
    uint8 BT_Rx;
	uint8 TEMP_LSB = 0;
	uint8 TEMP_MSB = 0;
    uint16 TEMP=75;
	uint16 Humidity_Data;
	double Humidity;
    char titles[4][10];
	
    strcpy(titles[0], "BLUETOOTH");
    strcpy(titles[1], "TEMP_CTRL");
    strcpy(titles[2], "HUMIDITY ");
    strcpy(titles[3], "MOTOR_SPD");
    
    CyGlobalIntEnable;
    
    NC_COUNTER_Start();					//Start Bluetooth counter
    UP_INT_Start();						//Start interrupt for up button
    DOWN_INT_Start();					//Start interrupt for down button
    LEFT_INT_Start();					//Start interrupt for left button
    RIGHT_INT_Start();					//Start interrupt for right button
    CENTER_INT_Start();					//Start interrupt for center button
    LCD_Start();						//Start LCD display
    LCD_PrintString("Honey Extractor");	//Print Welcome message to honey extractor
    Bluetooth_Start();					//Start communication to Bluetooth device (UART)
	Temp_Sensor_Start();				//Start temp sensor interface (I2C)
	Humidity_Sensor_Start();			//Start humidity sensor (ADC)
    CyDelay(500);
    
    for(;;)
    {
        //LCD_PrintNumber(NC_COUNTER_ReadCounter());
        CyDelay(500);
        LCD_ClearDisplay();
        
        if(menu == 0)                                   //Display Bluetooth Menu
        {
            LCD_Position(0,0);
            LCD_PrintString(titles[menu]);
            BT_Rx = Bluetooth_GetChar();

            if(BT_Rx > 0)
            {
                LCD_Position(1,0);
                LCD_PrintString("CONNECTED");
                LCD_Position(0,11);
                LCD_PutChar(BT_Rx);
                NC_COUNTER_Stop();
                NC_COUNTER_WriteCounter(255);
                NC_COUNTER_Enable();
            }
            if(NC_COUNTER_ReadCounter() <= 253)
            {
                LCD_Position(1,0);
                LCD_PrintString("NO CONECTION ");
                LCD_PrintNumber(253-NC_COUNTER_ReadCounter());
            }
        }
        if(menu == 1)                                   //Display Temperature Menu
        {
            LCD_Position(0,0);
            LCD_PrintString(titles[menu]);
            LCD_Position(0,11);
            //LCD_PrintNumber(TEMP);
            LCD_PrintNumber(TEMP_MSB);
            LCD_PutChar('F');
            
            LCD_Position(1,0);
            LCD_PrintString("desired:");
            LCD_Position(1,11);
            //LCD_PrintNumber(DESIRED_TEMP);
            LCD_PrintNumber(TEMP_LSB);
            LCD_PutChar('F');
        }
        if(menu == 2)                                   //Display Humidity Menu
        {
            LCD_Position(0,0);
            LCD_PrintString(titles[menu]);
			Humidity = (Humidity_Sensor_CountsTo_Volts(Humidity_Data)-.958)/.0307;
			LCD_Position(1,0);
			//LCD_PrintNumber(Humidity_Data);
			LCD_PrintDecUint16((Humidity_Sensor_CountsTo_Volts(Humidity_Data)-.958)/.0307);
			//LCD_PrintDecUint16(Humidity);
        }
        if(menu == 3)                                   //Display Motor Menu
        {
            LCD_Position(0,0);
            LCD_PrintString(titles[menu]); 
        }
	
	Temp_Sensor_MasterWriteBuf(0x5A,Reg_Address, 1, Temp_Sensor_MODE_NO_STOP);
	CyDelay(1);
	Temp_Sensor_MasterReadBuf(0x5A,rdData,3,Temp_Sensor_MODE_REPEAT_START);
	CyDelay(1);
	Temp_Sensor_MasterSendStop();
	
	Humidity_Data = Humidity_Sensor_Read16();
    }
}