/*******************************************************************************
* File Name: BT_NC.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_ISR_BT_NC_H)
#define CY_ISR_BT_NC_H

#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void BT_NC_Start(void) ;
void BT_NC_StartEx(cyisraddress address) ;
void BT_NC_Stop(void) ;

CY_ISR_PROTO(BT_NC_Interrupt);

void BT_NC_SetVector(cyisraddress address) ;
cyisraddress BT_NC_GetVector(void) ;

void BT_NC_SetPriority(uint8 priority) ;
uint8 BT_NC_GetPriority(void) ;

void BT_NC_Enable(void) ;
uint8 BT_NC_GetState(void) ;
void BT_NC_Disable(void) ;

void BT_NC_SetPending(void) ;
void BT_NC_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the BT_NC ISR. */
#define BT_NC_INTC_VECTOR            ((reg16 *) BT_NC__INTC_VECT)

/* Address of the BT_NC ISR priority. */
#define BT_NC_INTC_PRIOR             ((reg8 *) BT_NC__INTC_PRIOR_REG)

/* Priority of the BT_NC interrupt. */
#define BT_NC_INTC_PRIOR_NUMBER      BT_NC__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable BT_NC interrupt. */
#define BT_NC_INTC_SET_EN            ((reg8 *) BT_NC__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the BT_NC interrupt. */
#define BT_NC_INTC_CLR_EN            ((reg8 *) BT_NC__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the BT_NC interrupt state to pending. */
#define BT_NC_INTC_SET_PD            ((reg8 *) BT_NC__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the BT_NC interrupt. */
#define BT_NC_INTC_CLR_PD            ((reg8 *) BT_NC__INTC_CLR_PD_REG)



#endif /* CY_ISR_BT_NC_H */


/* [] END OF FILE */
