/*******************************************************************************
* File Name: CENTER_INT.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_ISR_CENTER_INT_H)
#define CY_ISR_CENTER_INT_H

#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void CENTER_INT_Start(void) ;
void CENTER_INT_StartEx(cyisraddress address) ;
void CENTER_INT_Stop(void) ;

CY_ISR_PROTO(CENTER_INT_Interrupt);

void CENTER_INT_SetVector(cyisraddress address) ;
cyisraddress CENTER_INT_GetVector(void) ;

void CENTER_INT_SetPriority(uint8 priority) ;
uint8 CENTER_INT_GetPriority(void) ;

void CENTER_INT_Enable(void) ;
uint8 CENTER_INT_GetState(void) ;
void CENTER_INT_Disable(void) ;

void CENTER_INT_SetPending(void) ;
void CENTER_INT_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the CENTER_INT ISR. */
#define CENTER_INT_INTC_VECTOR            ((reg16 *) CENTER_INT__INTC_VECT)

/* Address of the CENTER_INT ISR priority. */
#define CENTER_INT_INTC_PRIOR             ((reg8 *) CENTER_INT__INTC_PRIOR_REG)

/* Priority of the CENTER_INT interrupt. */
#define CENTER_INT_INTC_PRIOR_NUMBER      CENTER_INT__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable CENTER_INT interrupt. */
#define CENTER_INT_INTC_SET_EN            ((reg8 *) CENTER_INT__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the CENTER_INT interrupt. */
#define CENTER_INT_INTC_CLR_EN            ((reg8 *) CENTER_INT__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the CENTER_INT interrupt state to pending. */
#define CENTER_INT_INTC_SET_PD            ((reg8 *) CENTER_INT__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the CENTER_INT interrupt. */
#define CENTER_INT_INTC_CLR_PD            ((reg8 *) CENTER_INT__INTC_CLR_PD_REG)



#endif /* CY_ISR_CENTER_INT_H */


/* [] END OF FILE */
