/*******************************************************************************
* File Name: Center.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Center_H) /* Pins Center_H */
#define CY_PINS_Center_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Center_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Center_Write(uint8 value) ;
void    Center_SetDriveMode(uint8 mode) ;
uint8   Center_ReadDataReg(void) ;
uint8   Center_Read(void) ;
uint8   Center_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Center_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Center_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Center_DM_RES_UP          PIN_DM_RES_UP
#define Center_DM_RES_DWN         PIN_DM_RES_DWN
#define Center_DM_OD_LO           PIN_DM_OD_LO
#define Center_DM_OD_HI           PIN_DM_OD_HI
#define Center_DM_STRONG          PIN_DM_STRONG
#define Center_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Center_MASK               Center__MASK
#define Center_SHIFT              Center__SHIFT
#define Center_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Center_PS                     (* (reg8 *) Center__PS)
/* Data Register */
#define Center_DR                     (* (reg8 *) Center__DR)
/* Port Number */
#define Center_PRT_NUM                (* (reg8 *) Center__PRT) 
/* Connect to Analog Globals */                                                  
#define Center_AG                     (* (reg8 *) Center__AG)                       
/* Analog MUX bux enable */
#define Center_AMUX                   (* (reg8 *) Center__AMUX) 
/* Bidirectional Enable */                                                        
#define Center_BIE                    (* (reg8 *) Center__BIE)
/* Bit-mask for Aliased Register Access */
#define Center_BIT_MASK               (* (reg8 *) Center__BIT_MASK)
/* Bypass Enable */
#define Center_BYP                    (* (reg8 *) Center__BYP)
/* Port wide control signals */                                                   
#define Center_CTL                    (* (reg8 *) Center__CTL)
/* Drive Modes */
#define Center_DM0                    (* (reg8 *) Center__DM0) 
#define Center_DM1                    (* (reg8 *) Center__DM1)
#define Center_DM2                    (* (reg8 *) Center__DM2) 
/* Input Buffer Disable Override */
#define Center_INP_DIS                (* (reg8 *) Center__INP_DIS)
/* LCD Common or Segment Drive */
#define Center_LCD_COM_SEG            (* (reg8 *) Center__LCD_COM_SEG)
/* Enable Segment LCD */
#define Center_LCD_EN                 (* (reg8 *) Center__LCD_EN)
/* Slew Rate Control */
#define Center_SLW                    (* (reg8 *) Center__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Center_PRTDSI__CAPS_SEL       (* (reg8 *) Center__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Center_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Center__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Center_PRTDSI__OE_SEL0        (* (reg8 *) Center__PRTDSI__OE_SEL0) 
#define Center_PRTDSI__OE_SEL1        (* (reg8 *) Center__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Center_PRTDSI__OUT_SEL0       (* (reg8 *) Center__PRTDSI__OUT_SEL0) 
#define Center_PRTDSI__OUT_SEL1       (* (reg8 *) Center__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Center_PRTDSI__SYNC_OUT       (* (reg8 *) Center__PRTDSI__SYNC_OUT) 


#if defined(Center__INTSTAT)  /* Interrupt Registers */

    #define Center_INTSTAT                (* (reg8 *) Center__INTSTAT)
    #define Center_SNAP                   (* (reg8 *) Center__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Center_H */


/* [] END OF FILE */
