/*******************************************************************************
* File Name: Left.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Left_H) /* Pins Left_H */
#define CY_PINS_Left_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Left_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Left_Write(uint8 value) ;
void    Left_SetDriveMode(uint8 mode) ;
uint8   Left_ReadDataReg(void) ;
uint8   Left_Read(void) ;
uint8   Left_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Left_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Left_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Left_DM_RES_UP          PIN_DM_RES_UP
#define Left_DM_RES_DWN         PIN_DM_RES_DWN
#define Left_DM_OD_LO           PIN_DM_OD_LO
#define Left_DM_OD_HI           PIN_DM_OD_HI
#define Left_DM_STRONG          PIN_DM_STRONG
#define Left_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Left_MASK               Left__MASK
#define Left_SHIFT              Left__SHIFT
#define Left_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Left_PS                     (* (reg8 *) Left__PS)
/* Data Register */
#define Left_DR                     (* (reg8 *) Left__DR)
/* Port Number */
#define Left_PRT_NUM                (* (reg8 *) Left__PRT) 
/* Connect to Analog Globals */                                                  
#define Left_AG                     (* (reg8 *) Left__AG)                       
/* Analog MUX bux enable */
#define Left_AMUX                   (* (reg8 *) Left__AMUX) 
/* Bidirectional Enable */                                                        
#define Left_BIE                    (* (reg8 *) Left__BIE)
/* Bit-mask for Aliased Register Access */
#define Left_BIT_MASK               (* (reg8 *) Left__BIT_MASK)
/* Bypass Enable */
#define Left_BYP                    (* (reg8 *) Left__BYP)
/* Port wide control signals */                                                   
#define Left_CTL                    (* (reg8 *) Left__CTL)
/* Drive Modes */
#define Left_DM0                    (* (reg8 *) Left__DM0) 
#define Left_DM1                    (* (reg8 *) Left__DM1)
#define Left_DM2                    (* (reg8 *) Left__DM2) 
/* Input Buffer Disable Override */
#define Left_INP_DIS                (* (reg8 *) Left__INP_DIS)
/* LCD Common or Segment Drive */
#define Left_LCD_COM_SEG            (* (reg8 *) Left__LCD_COM_SEG)
/* Enable Segment LCD */
#define Left_LCD_EN                 (* (reg8 *) Left__LCD_EN)
/* Slew Rate Control */
#define Left_SLW                    (* (reg8 *) Left__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Left_PRTDSI__CAPS_SEL       (* (reg8 *) Left__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Left_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Left__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Left_PRTDSI__OE_SEL0        (* (reg8 *) Left__PRTDSI__OE_SEL0) 
#define Left_PRTDSI__OE_SEL1        (* (reg8 *) Left__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Left_PRTDSI__OUT_SEL0       (* (reg8 *) Left__PRTDSI__OUT_SEL0) 
#define Left_PRTDSI__OUT_SEL1       (* (reg8 *) Left__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Left_PRTDSI__SYNC_OUT       (* (reg8 *) Left__PRTDSI__SYNC_OUT) 


#if defined(Left__INTSTAT)  /* Interrupt Registers */

    #define Left_INTSTAT                (* (reg8 *) Left__INTSTAT)
    #define Left_SNAP                   (* (reg8 *) Left__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Left_H */


/* [] END OF FILE */
