/*******************************************************************************
* File Name: NC_RESET.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_NC_RESET_H) /* Pins NC_RESET_H */
#define CY_PINS_NC_RESET_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "NC_RESET_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    NC_RESET_Write(uint8 value) ;
void    NC_RESET_SetDriveMode(uint8 mode) ;
uint8   NC_RESET_ReadDataReg(void) ;
uint8   NC_RESET_Read(void) ;
uint8   NC_RESET_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define NC_RESET_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define NC_RESET_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define NC_RESET_DM_RES_UP          PIN_DM_RES_UP
#define NC_RESET_DM_RES_DWN         PIN_DM_RES_DWN
#define NC_RESET_DM_OD_LO           PIN_DM_OD_LO
#define NC_RESET_DM_OD_HI           PIN_DM_OD_HI
#define NC_RESET_DM_STRONG          PIN_DM_STRONG
#define NC_RESET_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define NC_RESET_MASK               NC_RESET__MASK
#define NC_RESET_SHIFT              NC_RESET__SHIFT
#define NC_RESET_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define NC_RESET_PS                     (* (reg8 *) NC_RESET__PS)
/* Data Register */
#define NC_RESET_DR                     (* (reg8 *) NC_RESET__DR)
/* Port Number */
#define NC_RESET_PRT_NUM                (* (reg8 *) NC_RESET__PRT) 
/* Connect to Analog Globals */                                                  
#define NC_RESET_AG                     (* (reg8 *) NC_RESET__AG)                       
/* Analog MUX bux enable */
#define NC_RESET_AMUX                   (* (reg8 *) NC_RESET__AMUX) 
/* Bidirectional Enable */                                                        
#define NC_RESET_BIE                    (* (reg8 *) NC_RESET__BIE)
/* Bit-mask for Aliased Register Access */
#define NC_RESET_BIT_MASK               (* (reg8 *) NC_RESET__BIT_MASK)
/* Bypass Enable */
#define NC_RESET_BYP                    (* (reg8 *) NC_RESET__BYP)
/* Port wide control signals */                                                   
#define NC_RESET_CTL                    (* (reg8 *) NC_RESET__CTL)
/* Drive Modes */
#define NC_RESET_DM0                    (* (reg8 *) NC_RESET__DM0) 
#define NC_RESET_DM1                    (* (reg8 *) NC_RESET__DM1)
#define NC_RESET_DM2                    (* (reg8 *) NC_RESET__DM2) 
/* Input Buffer Disable Override */
#define NC_RESET_INP_DIS                (* (reg8 *) NC_RESET__INP_DIS)
/* LCD Common or Segment Drive */
#define NC_RESET_LCD_COM_SEG            (* (reg8 *) NC_RESET__LCD_COM_SEG)
/* Enable Segment LCD */
#define NC_RESET_LCD_EN                 (* (reg8 *) NC_RESET__LCD_EN)
/* Slew Rate Control */
#define NC_RESET_SLW                    (* (reg8 *) NC_RESET__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define NC_RESET_PRTDSI__CAPS_SEL       (* (reg8 *) NC_RESET__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define NC_RESET_PRTDSI__DBL_SYNC_IN    (* (reg8 *) NC_RESET__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define NC_RESET_PRTDSI__OE_SEL0        (* (reg8 *) NC_RESET__PRTDSI__OE_SEL0) 
#define NC_RESET_PRTDSI__OE_SEL1        (* (reg8 *) NC_RESET__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define NC_RESET_PRTDSI__OUT_SEL0       (* (reg8 *) NC_RESET__PRTDSI__OUT_SEL0) 
#define NC_RESET_PRTDSI__OUT_SEL1       (* (reg8 *) NC_RESET__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define NC_RESET_PRTDSI__SYNC_OUT       (* (reg8 *) NC_RESET__PRTDSI__SYNC_OUT) 


#if defined(NC_RESET__INTSTAT)  /* Interrupt Registers */

    #define NC_RESET_INTSTAT                (* (reg8 *) NC_RESET__INTSTAT)
    #define NC_RESET_SNAP                   (* (reg8 *) NC_RESET__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins NC_RESET_H */


/* [] END OF FILE */
