/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/


#include <device.h>
#include <NC_COUNTER.h>
//#define max_temp = 100;

uint8 max_temp=100;
uint8 menu = 0;
uint8 DESIRED_TEMP = 75.00;

    
void main()
{
    uint8 BT_Rx;
    uint8 TEMP;
    char titles[4][10];
    strcpy(titles[0], "BLUETOOTH");
    strcpy(titles[1], "TEMP_CTRL");
    strcpy(titles[2], "HUMIDITY ");
    strcpy(titles[3], "MOTOR_SPD");
    
    CyGlobalIntEnable;
    
    NC_COUNTER_Start();
    UP_INT_Start();
    DOWN_INT_Start();
    LEFT_INT_Start();
    RIGHT_INT_Start();
    CENTER_INT_Start();
    LCD_Start();
    LCD_PrintString("Honey Extractor");
    Bluetooth_Start();
    CyDelay(500);
    
    for(;;)
    {
        //LCD_PrintNumber(NC_COUNTER_ReadCounter());
        CyDelay(500);
        LCD_ClearDisplay();
        
        if(menu == 0)                                   //Display Bluetooth Menu
        {
            LCD_Position(0,0);
            LCD_PrintString(titles[menu]);
            BT_Rx = Bluetooth_GetChar();

            if(BT_Rx > 0)
            {
                LCD_Position(1,0);
                LCD_PrintString("CONNECTED");
                LCD_Position(0,11);
                LCD_PutChar(BT_Rx);
                NC_COUNTER_Stop();
                NC_COUNTER_WriteCounter(255);
                NC_COUNTER_Enable();
            }
            if(NC_COUNTER_ReadCounter() <= 253)
            {
                LCD_Position(1,0);
                LCD_PrintString("NO CONECTION ");
                LCD_PrintNumber(253-NC_COUNTER_ReadCounter());
            }
        }
        if(menu == 1)                                   //Display Temperature Menu
        {
            LCD_Position(0,0);
            LCD_PrintString(titles[menu]);
            TEMP = 75.00;
            LCD_Position(0,11);
            LCD_PrintNumber(TEMP);
            LCD_PutChar('F');
            
            LCD_Position(1,0);
            LCD_PrintString("desired:");
            LCD_Position(1,11);
            LCD_PrintNumber(DESIRED_TEMP);
            LCD_PutChar('F');
        }
        if(menu == 2)                                   //Display Humidity Menu
        {
            LCD_Position(0,0);
            LCD_PrintString(titles[menu]);
        }
        if(menu == 3)                                   //Display Motor Menu
        {
            LCD_Position(0,0);
            LCD_PrintString(titles[menu]);        
        }
    }
}